%define section		free

Name:		openjms
Version:	0.7.6.1
Release:	1jpp
Epoch:		0
Summary:	OpenJMS Implementation
License:	Apache Software License
Url:		http://excalibur.apache.org/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://prdownloads.sourceforge.net/openjms/openjms-0.7.6.1-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        openjms-0.7.6.1-jpp-depmap.xml
Patch0:         openjms-0.7.6.1-project_properties.patch
Patch1:         openjms-0.7.6.1-ConnectorHelper.patch
Patch2:         openjms-0.7.6.1-SchemaHelper.patch
Patch3:         openjms-0.7.6.1-maven_xml.patch

BuildRequires:	java-devel >= 0:1.5	
BuildRequires:	maven
BuildRequires:	junit
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant >= 0:1.6
BuildRequires:	ant-nodeps 
BuildRequires:	saxon, saxon-scripts
BuildRequires:	antlr
#
BuildRequires:	castor
BuildRequires:	jakarta-commons-collections
BuildRequires:	jakarta-commons-dbcp
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-pool
BuildRequires:	concurrent
BuildRequires:	exolabcore
BuildRequires:	hsqldb
BuildRequires:	jdbm
BuildRequires:	jms-1.0-api
BuildRequires:	jta
BuildRequires:	log4j
BuildRequires:	oro
BuildRequires:	servletapi4
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis

Requires:	castor
Requires:	jakarta-commons-collections
Requires:	jakarta-commons-dbcp
Requires:	jakarta-commons-logging
Requires:	jakarta-commons-pool
Requires:	concurrent
Requires:	exolabcore
Requires:	hsqldb
Requires:	jdbm
Requires:	jms-1.0-api
Requires:	jta
Requires:	log4j
Requires:	oro
Requires:	servletapi4
Requires:	xerces-j2
Requires:	xml-commons-apis

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
OpenJMS is an open source implementation of Sun Microsystems's
Java Message Service API Specification. 
JMS-1.1 is supported from 0.7.7 on.
OpenJMS features:
- Point-to-Point and publish-subscribe messaging models
- Guaranteed delivery of messages
- Synchronous and asynchronous message delivery
- Persistence using JDBC
- Local transactions
- Message filtering using SQL92-like selectors
- Authentication
- Administration GUI
- XML-based configuration files
- In-memory and database garbage collection
- Automatic client disconnection detection
- Applet support
- Integrates with Servlet containers such as Jakarta Tomcat
- Support for TCP, RMI, HTTP and SSL protocol stacks
- Support for large numbers of destinations and subscribers


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav

%build
export JAVA_HOME=/usr/lib/jvm/java-1.5.0
export DEPCAT=$(pwd)/openjms-0.7.6.1-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > openjms-0.7.6.1-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

rm -rf .maven/repository/maven/jars
mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars maven-jelly-tags

rm -rf .maven/repository/JPP/jars
mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
ant \
ant/ant-nodeps \
antlr \
castor \
commons-collections \
commons-dbcp \
commons-logging \
commons-pool \
concurrent \
exolabcore \
hsqldb \
jdbc-stdext \
jdbm \
jms-1.0-api \
jndi \
jta \
junit \
log4j \
oro \
servletapi4 \
xerces-j2 \
xml-commons-apis \





export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
	-Dmaven.javadoc.source=1.4 \
	-Dmaven.compile.source=1.4 \
	-Dmaven.compile.target=1.4 \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar javadoc


%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 \
target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 \
target/%{name}-client-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-client-%{version}.jar

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Wed Sep 07 2005 Ralph Apel <r.apel at r-apel.de> 0:0.7.6.1-1jpp
- First JPackage release
